---
title: Graph
id: 20210901142644
type: documentation
---

The graph in the central area of the cosmoscope displays labeled and interrelated nodes. Each node corresponds to a record; the label corresponds to the title of the record. The links correspond to the links established between the records via their identifiers.

Hovering over a node temporarily highlights it and its connections. Clicking on a node highlights it and its connections and opens the corresponding record.

You can zoom in and out of the graph freely with the mouse, the touchpad, by double-clicking on the graph background, or with the dedicated buttons at the bottom left. Press the `C` key to zoom in on a selected node. Press the `R` key to reset the zoom.

Nodes are laid out in space by a force simulation algorithm. A colored bar at the top left of the cosmoscope indicates the status of the simulation. Click on it (shortcut: `Space` key) to start an additional simulation cycle (this does not reset the simulation but rather gives the graph a little “jolt”).

**Tip:** a few presses of the `Space` key will gradually untangle the graph.

Nodes can be moved slightly by clicking and dragging but stay under the influence of the simulation, so it is not possible to arrange them manually in an arbitrary way.

The display of the graph can be changed temporarily via the controls under Graph parameters in the left side panel. To change the display permanently, change the default values of the corresponding settings in Preferences.

**Tip:** change the repulsion and maximum distance between nodes to adapt the display to your screen resolution and size. Add a vertical/horizontal attraction to tighten the graph and bring isolated nodes closer to the center.

While it is possible to display the cosmoscope on all types of screens, it is not optimized for mobile devices, as touch does not provide access to certain interactions such as hovering, and small screens greatly limit the usefulness of the graph.