---
title: Format de données
id: 20210901133701
type: documentation
---

Cosma ne prescrit pas l'utilisation d'un logiciel d'écriture particulier. En revanche, créer du contenu pour Cosma passe par l'utilisation du format texte et la mise en pratique de plusieurs normes d'écriture :

- YAML pour les [[20210901133736]] métadonnées inscrites au début des fichiers ;
- Markdown pour le reste du [[20210901133951]] contenu des fichiers ;
- une syntaxe de type wiki (doubles crochets `[[ ]]`) pour créer des [[20210901134026]] liens internes ;
- des [[20210901134136]] identifiants uniques qui servent de cible aux liens internes.

Cosma inclut également une fonctionnalité optionnelle pour automatiser les [[20210901134745]] citations et bibliographies. Le format adopté est basé sur le standard CSL et sur la syntaxe des citations de Pandoc.

Cette combinaison de normes d'écriture correspond au croisement de plusieurs cultures textuelles : la documentation (enrichir et indexer le contenu avec des métadonnées) ; les wikis (interrelier des connaissances) ; la méthode Zettelkasten (organiser ses notes) ; l'écriture académique avec Pandoc (utiliser le format texte comme source pour plusieurs autres formats). Cosma fonctionne donc particulièrement bien lorsqu'il est utilisé en tandem avec des environnements d'écriture qui adoptent également cette approche, comme [Zettlr](https://zettlr.com) ou l'extension [Foam](https://foambubble.github.io/foam/) pour Visual Studio Code et VSCodium.

Vous pouvez créer une fiche respectant ce format de données via le formulaire de l'application ou bien en passant directement par votre éditeur de texte préféré. Certains éditeurs de texte peuvent vous faire gagner du temps en vous permettant d'enregistrer des modèles de documents, ce que vous pouvez utiliser pour créer rapidement des fiches à destination de Cosma.

